package com.red.circle.other.inner.enums.game;


import com.red.circle.framework.dto.IResponseErrorCode;
import com.red.circle.framework.dto.ResErrorCode;

/**
 * 红包游戏.
 *
 * @author pengliang on 2019/10/19 23:25
 */
@ResErrorCode(describe = "红包游戏", minCode = 6500, maxCode = 6600)
public enum GameRedPacketErrorCode implements IResponseErrorCode {


  /**
   * 不可领取.
   */
  UNCLAIMABLE(6500, "Unclaimable"),

  /**
   * 无法跨区域发送个人红包.
   */
  NOT_CROSS_REGION_RED_PACKET_ERROR(6501, "Unable to send personal red packets across regions"),

  /**
   * 红包金币数量太少.
   */
  RED_PACKET_COINS_TOO_LITTLE(6502, "The number of red Packet gold coins is too small"),

  ;

  private final Integer code;
  private final String message;

  GameRedPacketErrorCode(Integer code, String message) {
    this.code = code;
    this.message = message;
  }

  @Override
  public Integer getCode() {
    return this.code;
  }

  @Override
  public String getMessage() {
    return message;
  }

  @Override
  public String getErrorCodeName() {
    return this.name();
  }

}
